namespace Models.Model.Backend;

public class Filtered
{
    public Ip Ip { get; set; }
    public string Title1 { get; set; } = "";
    public string Title2 { get; set; } = "";
    public string Description1 { get; set; } = "";
    public string Description2 { get; set; } = "";
    public string Url1 { get; set; } = "";
    public string Url2 { get; set; } = "";
    public int Port1 { get; set; }
    public int Port2 { get; set; }
    public string ServerType1 { get; set; } = "";
    public string ServerType2 { get; set; } = "";
    public bool RobotsTXT1 { get; set; }
    public bool RobotsTXT2 { get; set; }
    public string HttpVersion1 { get; set; } = "";
    public string HttpVersion2 { get; set; } = "";
    public string ALPN { get; set; } = ""; // Application Layer Protocol Negotiation, which allows clients and servers
    // to agree on a common application layer protocol during the TLS handshake process.
    public string CertificateIssuerCountry { get; set; } = "";
    public string CertificateOrganizationName { get; set; } = "";
    public string IpV6 { get; set; } = "";
    public string TlsVersion { get; set; } = "";
    public string CipherSuite { get; set; } = "";
    public string KeyExchangeAlgorithm { get; set; } = "";
    public string PublicKeyType1 { get; set; } = "";
    public string PublicKeyType2 { get; set; } = "";
    public string PublicKeyType3 { get; set; } = "";
    public string AcceptEncoding1 { get; set; } = "";
    public string AcceptEncoding2 { get; set; } = "";
    public string Connection1 { get; set; } = ""; // Fx: keep-alive
    public string Connection2 { get; set; } = "";
}